Subject: [sipcore] draft-ietf-sipcore-status-unwanted

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 12 Dec 2016 22:02:58 +0000

Based on the feedback received, I have updated the 666 draft. I tried to thread the needle between the comments that suggested more prescriptive wording about how SIP entities should handle this and opinions that this would be largely implementation dependent, just like for spam filters, within a broad outline of options (per-user handling, statistical techniques, incorporation of other signals such as call durations or "age" of number, etc.). Given the wide-ranging and somewhat non-conclusive discussion, specific wording suggestions would be particularly helpful.

The only part that's new is a feature capability that allows the registrar to indicate whether it supports this option. The motivation was to allow UAs to show a "spam" button only if it is actually meaningful, to avoid making it similar to the pedestrian crosswalk buttons in New York City (http://www.nytimes.com/2016/10/28/us/placebo-buttons-elevators-crosswalks.html?_r=0). I'll leave it to others, trained in psychology or sadism, whether placebo "spam" buttons would lead to higher customer satisfaction.

Henning